Bug 444386 - Unhandled exception: There are differences between boot sector and its backup
Unhandled exception: There are differences between boot sector and its backup
Product: Fedora
Classification: Fedora
Component: dosfstools (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Stepan Kasal
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-04-28 00:46 EDT by Behdad Esfahbod
Modified: 2009-07-14 12:28 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-14 12:28:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Behdad Esfahbod 2008-04-28 00:46:47 EDT
Trying to install F9 Preview.  After custom partitioning, got unhandled
exception dialog for "SystemError: dosfslabel failed on device /dev/sdc1: There
are differences between boot sector and its backup", raised at line 970 of
/usr/lib/anaconda/fsset.py in labelDevice.

Couldn't save the report because of bug 444385.
Comment 1 Bug Zapper 2008-05-14 06:17:04 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 2 Behdad Esfahbod 2008-08-25 15:57:28 EDT
So yeah, another release on and hit this bug again.  Still couldn't save the report, but here's some stuff I typed:

Your bug could not be filed due to bad information in the bug fields.  This is most likely an error in anaconda:

<Fault 510: 'Your query returned 281211 bugs and\n  Red Hat Bugzilla will only return 100000 or less bugs. \n  Please back up and narrow your search criteria.  If you feel your reults \n  were expected and your search criteria was correct, please send email to \n  bugzilla-owner@redhat.com \n  describing what you were doing and we will correct the error.'>

anaconda exception report
Traceback (most recent call first):
  fsset.py, line 978, in labelDevice
    raise SystemError, "dosfslabel failed on device %s: %" % (devicePath, msg)

'There are differences between boot sector and its backeup.\nDifferences: (offset:original/backup)\n LOTS OF NUMBERS HERE................................... Not automatically fixing this.\n NO NAME     \n'

I'm not sure exactly who thought "Not automatically fixing this" and throwing an unhandled exception is a better idea than asking user whether it should be tried to fix, or just give them a f$%^ing option to remove that partition from the install completely...

And we wonder why Ubuntu is eating our lunch.  Donno.
Comment 3 Bug Zapper 2009-06-09 20:29:06 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 4 Bug Zapper 2009-07-14 12:28:14 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.